/*************************************************************************************************
Name: 		domainSearchWidget
Version: 	0.1
Author:		Daniel Bernal
Released: 	May 21, 2006
**************************************************************************************************
Copyright (c) 2006 Daniel Bernal(email: afterxleep@mylemontree.com)

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
**************************************************************************************************/

// Execute the script on load
window.addEventListener('load',function(ev){
  
  // add behavior to the flip button on the front side
  document.getElementById('flipfront').addEventListener('click',function(ev){
    flipWidget("back");
  }, false);

  // add behavior to the flip button on the front side
  document.getElementById('flipback').addEventListener('click',function(ev){
    flipWidget("front");
  }, false);

 
  // set the contents of the text field to the initial value
  //document.getElementById('frontlabel').setAttribute('value', document.getElementById('hellotext').textContent);
},false);


// Perform the flipping of the widget
function flipWidget(to){
  switch (to) {
    case "back":
      document.getElementById('frontview').style.display = "none";
      document.getElementById('configview').style.display = "block";
      break;
    case "front":
      document.getElementById('configview').style.display = "none";
      document.getElementById('frontview').style.display = "block";
      break;
    default:
      // do nothing
      break;
  }
}

function loadData() {
	
	//Extracts Domain Name
	domain = document.getElementById('domainText').value;
	
	//Defines result Box
	resultLayer = document.getElementById('result');
	
	//Does the request only if text is longer than 3 Chars
	var textLen = domain.length;
	
	
	//Searchs for dots on the text
		var dot = domain.indexOf(".");
    	if (dot > -1) {
			//resultLayer.innerHTML = dot;
			resultLayer.innerHTML = 'Do not include the domain extension in your query!';
		}
	
	if(textLen > 3 && dot == -1) {
	
		//Turns on Searching message
		resultLayer.innerHTML = 'Searching...'; 
	
		//Goes with the request
		ajaxEngine = new Ace.Engine();
		var ajaxRequest = new Ace.Request(Ace.Method.Get, "http://www.mylemontree.com/widgets/domainSearch/search.php?domain=" + domain);
		var response = ajaxEngine.invoke(ajaxRequest,null,null);
	
			
			//Validates responses
			if (response.status == Ace.Status.RequestTimeout)
			{
				resultLayer.innerHTML = 'Error - timed out connecting to server';
			}
			else if (response.status != Ace.Status.OK)
			{
				resultLayer.innerHTML = 'Error - failed to connect to server';
			}
			
			//Print result
			else {
				var result = response.text;
				resultLayer.innerHTML = result
			}
	}

}


var secs
var timerID = null
var timerRunning = false
var delay = 1


function InitializeTimer()
{
    // Set the length of the timer, in seconds
    secs = 75
    StopTheClock()
    StartTheTimer()
}

function StopTheClock()
{
    if(timerRunning)
        clearTimeout(timerID)
    timerRunning = false
}

function StartTheTimer()
{
    if (secs==0)
    {
        StopTheClock()
        loadData();
    }
    else
    {
        self.status = secs
        secs = secs - 1
        timerRunning = true
        timerID = self.setTimeout("StartTheTimer()", delay)
    }
}
//-->




